Bug 1592108 - SELinux is preventing (fprintd) from 'read' accesses on the directory /var/lib/fprint.
Summary: SELinux is preventing (fprintd) from 'read' accesses on the directory /var/li...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:37034a0f653d12a9c3a939083fd...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-17 05:21 UTC by Ving B Jr
Modified: 2018-07-29 03:22 UTC (History)
5 users (show)

Fixed In Version: selinux-policy-3.14.1-36.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-29 03:22:23 UTC
Type: ---


Attachments (Terms of Use)

Description Ving B Jr 2018-06-17 05:21:23 UTC
Description of problem:
Unfortunately, I'm not completely sure. I think that it was ssh, but it seems to happen without me doing something.
SELinux is preventing (fprintd) from 'read' accesses on the directory /var/lib/fprint.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that (fprintd) should be allowed read access on the fprint directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c '(fprintd)' --raw | audit2allow -M my-fprintd
# semodule -X 300 -i my-fprintd.pp

Additional Information:
Source Context                system_u:system_r:init_t:s0
Target Context                system_u:object_r:fprintd_var_lib_t:s0
Target Objects                /var/lib/fprint [ dir ]
Source                        (fprintd)
Source Path                   (fprintd)
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           fprintd-0.8.0-2.fc28.x86_64
Policy RPM                    selinux-policy-3.14.1-32.fc28.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.16.15-300.fc28.x86_64 #1 SMP Tue
                              Jun 12 00:42:35 UTC 2018 x86_64 x86_64
Alert Count                   3
First Seen                    2018-06-16 23:48:49 CDT
Last Seen                     2018-06-17 00:14:27 CDT
Local ID                      dcad3bd1-3db3-4de9-9f8d-bb2cd3e226c1

Raw Audit Messages
type=AVC msg=audit(1529212467.467:284): avc:  denied  { read } for  pid=8107 comm="(fprintd)" name="fprint" dev="dm-11" ino=393231 scontext=system_u:system_r:init_t:s0 tcontext=system_u:object_r:fprintd_var_lib_t:s0 tclass=dir permissive=0


Hash: (fprintd),init_t,fprintd_var_lib_t,dir,read

Version-Release number of selected component:
selinux-policy-3.14.1-32.fc28.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.5
hashmarkername: setroubleshoot
kernel:         4.16.15-300.fc28.x86_64
type:           libreport

Comment 1 Fedora Update System 2018-07-25 22:27:55 UTC
selinux-policy-3.14.1-36.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1050fb248b

Comment 2 Fedora Update System 2018-07-26 16:30:24 UTC
selinux-policy-3.14.1-36.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1050fb248b

Comment 3 Fedora Update System 2018-07-29 03:22:23 UTC
selinux-policy-3.14.1-36.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.